Package org.codehaus.groovy.vmplugin.v8

# Class TypeTransformers

java.lang.Object
org.codehaus.groovy.vmplugin.v8.TypeTransformers

public class TypeTransformers extends Object
This class contains several transformers for used during method invocation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeTransformers()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static MethodHandle`
  `addTransformer(MethodHandle handle, int pos, Object arg, Class<?> parameter)`
  Adds a type transformer applied at runtime.
  `static MethodHandle`
  `applyUnsharpFilter(MethodHandle handle, int pos, MethodHandle transformer)`
  Apply a transformer as filter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TypeTransformers

    public TypeTransformers()

- ## Method Details

  - ### addTransformer

    protected static MethodHandle addTransformer(MethodHandle handle, int pos, Object arg, Class<?> parameter)
    Adds a type transformer applied at runtime. This method handles transformations to String from GString, array transformations and number based transformations

  - ### applyUnsharpFilter

    public static MethodHandle applyUnsharpFilter(MethodHandle handle, int pos, MethodHandle transformer)
    Apply a transformer as filter. The filter may not match exactly in the types. In this case needed additional type transformations are done by `MethodHandle.asType(MethodType)`